#1
  1. Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    215
    Rep Power
    6

    Exclamation Help with setup firebird 2.5 on linux (ubuntu)


    Hello
    this is my first attempt at installing firebird on a linux machine, and I preferably will go for Ubuntu (may be latest version). The problem is that I am not familiar with Linux, and thus do not know exactly how to proceed with first whether to try do an apt-get install or download the firebird files, and from there on how to proceed with the setup.
    Anyone can give me a detailed list of how to proceed with this pls? I tried google, and even got a stepwise install for firebird2.1, but when tried for 2.5 am not able to even download the files from console
    Also I would like to know what should be the recommended hardware requirements for the machine to host this installation
  2. #2
  3. Bug Hunter
    Devshed Newbie (0 - 499 posts)

    Join Date
    May 2003
    Location
    Transylvania (Romania)
    Posts
    309
    Rep Power
    24

    Cool Install guide for 2.1


    The simple way
    you can follow my guide for 2.1 and replace wherever is mentioned 2.1 with 2.5

    https://help.ubuntu.com/community/Firebird2.1

    apt-cache search firebird2.5-*
    firebird2.5-classic - Firebird Classic Server - an RDBMS based on InterBase 6.0 code
    firebird2.5-classic-common - common files for firebird 2.5 "classic" and "superclassic" servers
    firebird2.5-common - common files for firebird 2.5 servers and clients
    firebird2.5-common-doc - copyright, licnesing and changelogs of firebird2.5
    firebird2.5-dev - Development files for Firebird - an RDBMS based on InterBase 6.0 code
    firebird2.5-doc - Documentation files for firebird database version 2.5
    firebird2.5-examples - Examples for Firebird - an RDBMS based on InterBase 6.0 code
    firebird2.5-server-common - common files for firebird 2.5 servers
    firebird2.5-super - Firebird Super Server - an RDBMS based on InterBase 6.0 code
    firebird2.5-superclassic - Firebird SupecClassic Server - an RDBMS based on InterBase 6.0 code
    libfbembed2.5 - Firebird embedded client/server library
    2.you can also use the installer from firebird binary (.tar.gz one)
    but is more complex , it needs an older libstdc++
    http://firebirdsql.org/index.php?op=files&id=engine_250

    3. you can compile from source code but that is harder and error prone

    apt-get build-dep firebird2.5-super
    get the source tar.bz2
    http://sourceforge.net/projects/firebird/files/firebird/2.5-Release/Firebird-2.5.0.26074-0.tar.bz2/download
    tar -cjvf Firebird-2.5.0.26074-0.tar.bz2

    ./configure --prefix=/opt/firebird2.5 --enable-superserver

    make
    make install
    My home page: http://www.firebirdsql.org and work place :http://www.reea.net
  4. #3
  5. Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    215
    Rep Power
    6

    Question


    thx, i did try the follow the link posted before posting here, but somehow my system was not able to locate the firebird files, anything I may have missed in my Linux setup itself causing this here? I am connected to the internet thou...
  6. #4
  7. Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    215
    Rep Power
    6

    Question


    I managed to install the 2.1 version of FB, but still not the 2.5 one. Is there a way I can upgrade the 2.1 to make it 2.5 from the console? (am new to linux and not yet got hold of the commands )
    Using kubuntu 10.04LTS for this process...
    Last edited by lordrt21; October 27th, 2010 at 05:31 AM.
  8. #5
  9. Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    215
    Rep Power
    6

    Exclamation


    OK so finally I downloaded the firebird2.5 file from firebirdsql.com, and extracted it on my linux machine, but do i need to do something with the install.sh to get it installed or another way or installing?
    Last edited by lordrt21; October 28th, 2010 at 06:36 AM.
  10. #6
  11. Bug Hunter
    Devshed Newbie (0 - 499 posts)

    Join Date
    May 2003
    Location
    Transylvania (Romania)
    Posts
    309
    Rep Power
    24

    Lightbulb Here is the guide for Firebird 2.5 and Ubuntu 10.10


    Originally Posted by lordrt21
    OK so finally I downloaded the firebird2.5 file from firebirdsql.com, and extracted it on my linux machine, but do i need to do something with the install.sh to get it installed or another way or installing?
    Here is the guide for Firebird 2.5 and Ubuntu 10.10

    http://mapopa.blogspot.com/2010/10/u...ial-targz.html
    My home page: http://www.firebirdsql.org and work place :http://www.reea.net
  12. #7
  13. Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    215
    Rep Power
    6

    Exclamation


    thanks for the guide, but am still on my Lucid, and tried to run the ./install.sh as in the guide. However when being asked for a new SYSDBA password, I entered my own, but then the operation failed with the following msg:

    ./scripts/postinstall.sh : line 112 : /opt/firebird/bin/gsec : cannot execute binary file

    Where did I go wrong
  14. #8
  15. Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Sep 2009
    Posts
    215
    Rep Power
    6

    Thumbs up


    in the end I installed maverick and used apt-get install to install fb2.5, Went like a charm. Sry for all the trouble caused by trying to stick to my lucid

IMN logo majestic logo threadwatch logo seochat tools logo